#if !defined(Yajin_h)
#define Yajin_h

struct TXPM {
    GdkPixmap* pixmap;
    GdkBitmap* mask;
};

class Yajin
{
private:
    GtkWidget*   window;
    GtkWidget*   wpixmap;
    struct TXPM* pixmap_u[2];
    struct TXPM* pixmap_ur[2];
    struct TXPM* pixmap_r[2];
    struct TXPM* pixmap_dr[2];
    struct TXPM* pixmap_d[2];
    struct TXPM* pixmap_dl[2];
    struct TXPM* pixmap_l[2];
    struct TXPM* pixmap_ul[2];
    int          flag_step;
    int          x, y;

    void         CreatePixmaps(void);
    struct TXPM* CreatePixmap(char**);
    void         MoveWindow(int, int);

    void Paint(struct TXPM*);
    void PaintU(void);
    void PaintUR(void);
    void PaintR(void);
    void PaintDR(void);
    void PaintD(void);
    void PaintDL(void);
    void PaintL(void);
    void PaintUL(void);

public:
    Yajin(void);
    ~Yajin();
    GtkWidget*   GetWindow(void) { return window; }
    unsigned int TimeoutAdd(int, GtkFunction);
    void         Move(int, int);
};
#endif /* Yajin_h */
